<?php
/**
 * Plugin Name: Portal de Afiliados WP
 * Plugin URI: http://www.realidadedigital.com.br/portal-afiliados
 * Description: Crie seu Portal de Afiliados com Rankings automaticos e o conteúdo que precisar.
 * Version: 1.1
 * Author: Meison Almeida
 * Author URI: http://www.realidadedigital.com.br
 * Text Domain: portal-de-afiliados-wp
 * Domain Path: languages/
 * License: GPLv2
 */

/**
* Nao permite acessar esse arquivo diretamente
*/

if (!defined('ABSPATH')){
	exit;
}

global $wpdb;
/**
* ==============================================
* Procede com as acoes de Ativacao do Plugin
* ==============================================
*/
register_activation_hook( __FILE__, 'paw_install_hook' );
 
function paw_install_hook() {
  // Vamos testar a versão do PHP e do WordPress
  // caso as versões sejam antigas, desativamos
  // o nosso plugin.
  if ( version_compare( PHP_VERSION, '5.2.1', '<' )
    or version_compare( get_bloginfo( 'version' ), '3.3', '<' ) ) {
      deactivate_plugins( basename( __FILE__ ) );
  }

  require_once(plugin_dir_path( __FILE__ ).'tables.php' );
 
  paw_create_table();

  $oldver = get_option('paw_version');

  if (!$oldver){
    add_option('paw_version','1.0');
  } else {
    update_option('paw_version','1.0');
  }

}




/**
* ==============================================
* Executa SEMPRE
* ==============================================
*/

// Criacao dos Menus Administrativos
require_once(plugin_dir_path(__FILE__).'menu.php');

// Validação dos Redirecionamentos
require_once(plugin_dir_path(__FILE__).'redir.php');


